/*
 * VITAL-5G Slice Inventory
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.nfvmano.v5g.slicing.client.model;

import java.util.List;
import java.util.Objects;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * The request body the Slice Inventory expects on this Norhtbound interface. To select a specific &#x60;embb&#x60; slice.
 */
@Schema(description = "The request body the Slice Inventory expects on this Norhtbound interface. To select a specific `embb` slice.")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-11-29T11:32:05.527Z[GMT]")
public class SelectEmbbSliceNB {
  @SerializedName("expDataRateUL")
  private Float expDataRateUL = null;

  @SerializedName("expDataRateDL")
  private Float expDataRateDL = null;

  @SerializedName("areaTrafficCapUL")
  private Float areaTrafficCapUL = null;

  @SerializedName("areaTrafficCapDL")
  private Float areaTrafficCapDL = null;

  @SerializedName("userDensity")
  private Float userDensity = null;

  @SerializedName("userSpeed")
  private Float userSpeed = null;

  @SerializedName("testbed")
  private String testbed = null;

  @SerializedName("imsi")
  private List<String> imsi = null;
  //private String imsi = null;
  public SelectEmbbSliceNB expDataRateUL(Float expDataRateUL) {
    this.expDataRateUL = expDataRateUL;
    return this;
  }

   /**
   * Get expDataRateUL
   * @return expDataRateUL
  **/
  @Schema(description = "")
  public Float getExpDataRateUL() {
    return expDataRateUL;
  }

  public void setExpDataRateUL(Float expDataRateUL) {
    this.expDataRateUL = expDataRateUL;
  }

  public SelectEmbbSliceNB expDataRateDL(Float expDataRateDL) {
    this.expDataRateDL = expDataRateDL;
    return this;
  }

   /**
   * Get expDataRateDL
   * @return expDataRateDL
  **/
  @Schema(description = "")
  public Float getExpDataRateDL() {
    return expDataRateDL;
  }

  public void setExpDataRateDL(Float expDataRateDL) {
    this.expDataRateDL = expDataRateDL;
  }

  public SelectEmbbSliceNB areaTrafficCapUL(Float areaTrafficCapUL) {
    this.areaTrafficCapUL = areaTrafficCapUL;
    return this;
  }

   /**
   * Get areaTrafficCapUL
   * @return areaTrafficCapUL
  **/
  @Schema(description = "")
  public Float getAreaTrafficCapUL() {
    return areaTrafficCapUL;
  }

  public void setAreaTrafficCapUL(Float areaTrafficCapUL) {
    this.areaTrafficCapUL = areaTrafficCapUL;
  }

  public SelectEmbbSliceNB areaTrafficCapDL(Float areaTrafficCapDL) {
    this.areaTrafficCapDL = areaTrafficCapDL;
    return this;
  }

   /**
   * Get areaTrafficCapDL
   * @return areaTrafficCapDL
  **/
  @Schema(description = "")
  public Float getAreaTrafficCapDL() {
    return areaTrafficCapDL;
  }

  public void setAreaTrafficCapDL(Float areaTrafficCapDL) {
    this.areaTrafficCapDL = areaTrafficCapDL;
  }

  public SelectEmbbSliceNB userDensity(Float userDensity) {
    this.userDensity = userDensity;
    return this;
  }

   /**
   * Get userDensity
   * @return userDensity
  **/
  @Schema(description = "")
  public Float getUserDensity() {
    return userDensity;
  }

  public void setUserDensity(Float userDensity) {
    this.userDensity = userDensity;
  }

  public SelectEmbbSliceNB userSpeed(Float userSpeed) {
    this.userSpeed = userSpeed;
    return this;
  }

   /**
   * Get userSpeed
   * @return userSpeed
  **/
  @Schema(description = "")
  public Float getUserSpeed() {
    return userSpeed;
  }

  public void setUserSpeed(Float userSpeed) {
    this.userSpeed = userSpeed;
  }

  public SelectEmbbSliceNB testbed(String testbed) {
    this.testbed = testbed;
    return this;
  }

   /**
   * Get testbed
   * @return testbed
  **/
  @Schema(description = "")
  public String getTestbed() {
    return testbed;
  }

  public void setTestbed(String testbed) {
    this.testbed = testbed;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SelectEmbbSliceNB selectEmbbSliceNB = (SelectEmbbSliceNB) o;
    return Objects.equals(this.expDataRateUL, selectEmbbSliceNB.expDataRateUL) &&
        Objects.equals(this.expDataRateDL, selectEmbbSliceNB.expDataRateDL) &&
        Objects.equals(this.areaTrafficCapUL, selectEmbbSliceNB.areaTrafficCapUL) &&
        Objects.equals(this.areaTrafficCapDL, selectEmbbSliceNB.areaTrafficCapDL) &&
        Objects.equals(this.userDensity, selectEmbbSliceNB.userDensity) &&
        Objects.equals(this.userSpeed, selectEmbbSliceNB.userSpeed) &&
        Objects.equals(this.testbed, selectEmbbSliceNB.testbed);
  }
/*
  public List<String> getImsi() {
    return imsi;
  }
*/
  public List<String> getImsi() {
  return imsi;
}

  public void setImsi(List<String> imsi) {
      this.imsi = imsi;
  }



  @Override
  public int hashCode() {
    return Objects.hash(expDataRateUL, expDataRateDL, areaTrafficCapUL, areaTrafficCapDL, userDensity, userSpeed, testbed);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SelectEmbbSliceNB {\n");
    
    sb.append("    expDataRateUL: ").append(toIndentedString(expDataRateUL)).append("\n");
    sb.append("    expDataRateDL: ").append(toIndentedString(expDataRateDL)).append("\n");
    sb.append("    areaTrafficCapUL: ").append(toIndentedString(areaTrafficCapUL)).append("\n");
    sb.append("    areaTrafficCapDL: ").append(toIndentedString(areaTrafficCapDL)).append("\n");
    sb.append("    userDensity: ").append(toIndentedString(userDensity)).append("\n");
    sb.append("    userSpeed: ").append(toIndentedString(userSpeed)).append("\n");
    sb.append("    testbed: ").append(toIndentedString(testbed)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
